POST api/Order/SetOrderOutFee
Request Information
URI Parameters
None.
Body Parameters
ReqOrderFee| Name | Description | Type | Additional information |
|---|---|---|---|
| deptId | integer |
None. |
|
| customerId |
id |
integer |
None. |
| orderno | string |
None. |
|
| feeType | string |
None. |
|
| feeRule |
费用规则 |
string |
None. |
| feeAmount |
费用合计 |
decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"deptId": 1,
"customerId": 2,
"orderno": "sample string 3",
"feeType": "sample string 4",
"feeRule": "sample string 5",
"feeAmount": 6.1
}
multipart/form-data
Sample:
<ReqOrderFee xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><customerId>2</customerId><deptId>1</deptId><feeAmount>6.1</feeAmount><feeRule>sample string 5</feeRule><feeType>sample string 4</feeType><orderno>sample string 3</orderno></ReqOrderFee>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServerResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| errcode |
返回码 |
integer |
None. |
| errmsg |
对返回码的文本描述内容 |
string |
None. |
| ReturnValue |
返回值 |
Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"errcode": 1,
"errmsg": "sample string 2",
"ReturnValue": {}
}
multipart/form-data
Sample:
<ServerResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField></ServerResponse>